Debian Bug report logs - #664983
libpcre3: wrong SONAME

version graph

Package: libpcre3; Maintainer for libpcre3 is Mark Baker <mark@mnb.org.uk>; Source for libpcre3 is src:pcre3.

Reported by: Hector Oron <zumbi@debian.org>

Date: Thu, 22 Mar 2012 02:09:01 UTC

Severity: grave

Found in version pcre3/8.30-1

Fixed in versions pcre3/8.30.really8.12-1.1, pcre3/8.30..-2

Done: Mark Baker <mark@mnb.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Information forwarded to debian-bugs-dist@lists.debian.org, Mark Baker <mark@mnb.org.uk>:
Bug#664983; Package libpcre3. (Thu, 22 Mar 2012 02:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <zumbi@debian.org>:
Extra info received and forwarded to list. Copy sent to Mark Baker <mark@mnb.org.uk>. (Thu, 22 Mar 2012 02:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libpcre3: wrong SONAME
Date: Thu, 22 Mar 2012 03:05:48 +0100
Package: libpcre3
Version: 8.12-4
Severity: grave

Hello,

  On my system I have libpcre3 (8.12-4) which ships:
    /lib/i386-linux-gnu/libpcre.so.3

  But on armhf buildd, its using libpcre3 (8.30-1) which ships:
    /lib/arm-linux-gnueabihf/libpcre.so.2

  That makes buildd very unhappy, failing with following error log:

Get:1 http://ftp.uk.debian.org/debian/ unstable/main libffi5 armhf 3.0.10-3+b1 [22.3 kB]
Get:2 http://ftp.uk.debian.org/debian/ unstable/main libglib2.0-0 armhf 2.30.2-6 [1673 kB]
Get:3 http://incoming.debian.org/buildd-unstable/  libpcre3 8.30-1 [240 kB]
Fetched 1935 kB in 0s (2235 kB/s)
debconf: delaying package configuration, since apt-utils is not installed
Selecting previously unselected package libpcre3.  
(Reading database ... 12759 files and directories currently installed.)
Unpacking libpcre3 (from .../libpcre3_8.30-1_armhf.deb) ...
Selecting previously unselected package libffi5.   
Unpacking libffi5 (from .../libffi5_3.0.10-3+b1_armhf.deb) ...
Selecting previously unselected package libglib2.0-0.
Unpacking libglib2.0-0 (from .../libglib2.0-0_2.30.2-6_armhf.deb) ...
Setting up libpcre3 (8.30-1) ...
Setting up libffi5 (3.0.10-3+b1) ...
Setting up libglib2.0-0 (2.30.2-6) ...
/usr/lib/arm-linux-gnueabihf/glib-2.0/glib-compile-schemas: error while loading shared libraries: libpcre.so.3: cannot open shared object file: No such file or directory
/usr/lib/arm-linux-gnueabihf/glib-2.0/gio-querymodules: error while loading shared libraries: libpcre.so.3: cannot open shared object file: No such file or directory
dpkg: error processing libglib2.0-0 (--configure): 
 subprocess installed post-installation script returned error exit status 127
 configured to not write apport reports

Errors were encountered while processing:
    libglib2.0-0
E: Sub-process /usr/bin/dpkg returned an error code (1)

Best regards

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (900, 'testing'), (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-1-686-pae (SMP w/4 CPU cores)
Locale: LANG=ca_ES.UTF-8, LC_CTYPE=ca_ES.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libpcre3 depends on:
ii  libc6              2.13-27
ii  multiarch-support  2.13-27

libpcre3 recommends no packages.

libpcre3 suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Mark Baker <mark@mnb.org.uk>:
Bug#664983; Package libpcre3. (Thu, 22 Mar 2012 05:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Leo Borealis <LionMV@yandex.ru>:
Extra info received and forwarded to list. Copy sent to Mark Baker <mark@mnb.org.uk>. (Thu, 22 Mar 2012 05:33:02 GMT) Full text and rfc822 format available.

Message #10 received at 664983@bugs.debian.org (full text, mbox):

From: Leo Borealis <LionMV@yandex.ru>
To: 664983@bugs.debian.org
Subject: Same thing on amd64.
Date: Thu, 22 Mar 2012 09:29:22 +0400
Same thing on amd64. 
libpcre3-8.30-1




No longer marked as found in versions pcre3/8.12-4. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Thu, 22 Mar 2012 05:54:03 GMT) Full text and rfc822 format available.

Marked as found in versions pcre3/8.30-1. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Thu, 22 Mar 2012 05:54:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Mark Baker <mark@mnb.org.uk>:
Bug#664983; Package libpcre3. (Thu, 22 Mar 2012 08:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Harald Wenninger <debian-bugreport@gmx.de>:
Extra info received and forwarded to list. Copy sent to Mark Baker <mark@mnb.org.uk>. (Thu, 22 Mar 2012 08:03:03 GMT) Full text and rfc822 format available.

Message #19 received at 664983@bugs.debian.org (full text, mbox):

From: Harald Wenninger <debian-bugreport@gmx.de>
To: Debian Bug Tracking System <664983@bugs.debian.org>
Subject: Re: libpcre3: wrong SONAME
Date: Thu, 22 Mar 2012 08:55:08 +0100
Package: libpcre3
Version: 8.30-1
Followup-For: Bug #664983

Problem exists on amd64, too.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages libpcre3 depends on:
ii  libc6              2.13-27
ii  multiarch-support  2.13-27

libpcre3 recommends no packages.

libpcre3 suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Mark Baker <mark@mnb.org.uk>:
Bug#664983; Package libpcre3. (Thu, 22 Mar 2012 08:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Enrico Agliotti <enrico.agliotti@gmail.com>:
Extra info received and forwarded to list. Copy sent to Mark Baker <mark@mnb.org.uk>. (Thu, 22 Mar 2012 08:06:03 GMT) Full text and rfc822 format available.

Message #24 received at 664983@bugs.debian.org (full text, mbox):

From: Enrico Agliotti <enrico.agliotti@gmail.com>
To: 664983@bugs.debian.org
Subject: all names are wrong (I think)
Date: Thu, 22 Mar 2012 09:03:53 +0100
I think that all filenames are wrong.
Compare the filelists for wheezy and for sid:

Filelist of package libpcre3 in wheezy of architecture amd64

/lib/x86_64-linux-gnu/libpcre.so.3
/lib/x86_64-linux-gnu/libpcre.so.3.12.1
/usr/lib/x86_64-linux-gnu/libpcreposix.so.3
/usr/lib/x86_64-linux-gnu/libpcreposix.so.3.12.1
/usr/share/doc/libpcre3/AUTHORS
/usr/share/doc/libpcre3/NEWS.gz
/usr/share/doc/libpcre3/README.Debian
/usr/share/doc/libpcre3/README.gz
/usr/share/doc/libpcre3/changelog.Debian.gz
/usr/share/doc/libpcre3/changelog.gz
/usr/share/doc/libpcre3/copyright
/usr/share/man/man3/pcrepattern.3.gz


Filelist of package libpcre3 in sid of architecture amd64

/lib/x86_64-linux-gnu/libpcre.so.2
/lib/x86_64-linux-gnu/libpcre.so.2.13.1
/usr/lib/x86_64-linux-gnu/libpcreposix.so.0
/usr/lib/x86_64-linux-gnu/libpcreposix.so.0.0.0
/usr/share/doc/libpcre3/AUTHORS
/usr/share/doc/libpcre3/NEWS.gz
/usr/share/doc/libpcre3/README.Debian
/usr/share/doc/libpcre3/README.gz
/usr/share/doc/libpcre3/changelog.Debian.gz
/usr/share/doc/libpcre3/changelog.gz
/usr/share/doc/libpcre3/copyright
/usr/share/man/man3/pcrepattern.3.gz

-- 
Enrico Agliotti




Reply sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
You have taken responsibility. (Thu, 22 Mar 2012 08:09:03 GMT) Full text and rfc822 format available.

Notification sent to Hector Oron <zumbi@debian.org>:
Bug acknowledged by developer. (Thu, 22 Mar 2012 08:09:04 GMT) Full text and rfc822 format available.

Message #29 received at 664983-done@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Hector Oron <zumbi@debian.org>
Cc: <664983-done@bugs.debian.org>
Subject: Re: libpcre3: wrong SONAME
Date: Thu, 22 Mar 2012 08:04:48 +0000
Version: 8.30.really8.12-1.1

On 22.03.2012 02:05, Hector Oron wrote:
> Package: libpcre3
> Version: 8.12-4
> Severity: grave
[...]
>   On my system I have libpcre3 (8.12-4) which ships:
>     /lib/i386-linux-gnu/libpcre.so.3
>
>   But on armhf buildd, its using libpcre3 (8.30-1) which ships:
>     /lib/arm-linux-gnueabihf/libpcre.so.2

So the found version should be _8.30-1_.  Someone else already fixed 
that up, but reporting RC bugs against versions of the package that 
don't actually contain them isn't all that helpful.

>   That makes buildd very unhappy, failing with following error log:
[...]
> while loading shared libraries: libpcre.so.3: cannot open shared
> object file: No such file or directory
> /usr/lib/arm-linux-gnueabihf/glib-2.0/gio-querymodules: error while
> loading shared libraries: libpcre.so.3: cannot open shared object

This has been resolved in 8.30.really8.12-1.1 by reverting to an 
earlier version of the package.

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Mark Baker <mark@mnb.org.uk>:
Bug#664983; Package libpcre3. (Thu, 22 Mar 2012 08:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Enrico Agliotti <enrico.agliotti@gmail.com>:
Extra info received and forwarded to list. Copy sent to Mark Baker <mark@mnb.org.uk>. (Thu, 22 Mar 2012 08:15:04 GMT) Full text and rfc822 format available.

Message #34 received at 664983@bugs.debian.org (full text, mbox):

From: Enrico Agliotti <enrico.agliotti@gmail.com>
To: 664983@bugs.debian.org
Subject: simple workaround
Date: Thu, 22 Mar 2012 09:11:57 +0100
waiting for the bug correction, a simple workaround is this (from root):

# ln -s /lib/x86_64-linux-gnu/libpcre.so.2 /lib/x86_64-linux-gnu/libpcre.so.3
# ln -s /usr/lib/x86_64-linux-gnu/libpcreposix.so.0
/usr/lib/x86_64-linux-gnu/libpcreposix.so.3

-- 
Enrico Agliotti




Information forwarded to debian-bugs-dist@lists.debian.org, Mark Baker <mark@mnb.org.uk>:
Bug#664983; Package libpcre3. (Thu, 22 Mar 2012 08:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to eric2.valette@orange.com:
Extra info received and forwarded to list. Copy sent to Mark Baker <mark@mnb.org.uk>. (Thu, 22 Mar 2012 08:51:26 GMT) Full text and rfc822 format available.

Message #39 received at 664983@bugs.debian.org (full text, mbox):

From: VALETTE Eric RD-MAPS-REN <eric2.valette@orange.com>
To: 664983@bugs.debian.org
Subject: It breaks at least KDE4.7.4, iceweasel, ...
Date: Thu, 22 Mar 2012 09:43:32 +0100
[Message part 1 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Mark Baker <mark@mnb.org.uk>:
Bug#664983; Package libpcre3. (Thu, 22 Mar 2012 09:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hongzheng Wang <wanghz@gmail.com>:
Extra info received and forwarded to list. Copy sent to Mark Baker <mark@mnb.org.uk>. (Thu, 22 Mar 2012 09:57:09 GMT) Full text and rfc822 format available.

Message #44 received at 664983@bugs.debian.org (full text, mbox):

From: Hongzheng Wang <wanghz@gmail.com>
To: 664983@bugs.debian.org
Subject: Thank you, Enrico
Date: Thu, 22 Mar 2012 17:52:43 +0800
[Message part 1 (text/plain, inline)]
Hi Enrico,

Thank you.  Your workaround saved me!

I fortunately have another old computer running Windows (yes, THE MS
Windows), by which I can still browse the web and find your solution.
Otherwise, it would be a quite awkward situation for me as there is no vim,
no network, and no web browser ... given the wrong fundamental PCRE
libraries.

Best,
HZ
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, juan.mobilife@gmail.com, Mark Baker <mark@mnb.org.uk>:
Bug#664983; Package libpcre3. (Thu, 22 Mar 2012 09:57:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Juan Garcia Longaron <juan.mobilife@gmail.com>:
Extra info received and forwarded to list. Copy sent to juan.mobilife@gmail.com, Mark Baker <mark@mnb.org.uk>. (Thu, 22 Mar 2012 09:57:22 GMT) Full text and rfc822 format available.

Message #49 received at 664983@bugs.debian.org (full text, mbox):

From: Juan Garcia Longaron <juan.mobilife@gmail.com>
To: Debian Bug Tracking System <664983@bugs.debian.org>
Subject: Re: libpcre3: wrong SONAME
Date: Thu, 22 Mar 2012 10:54:42 +0100
Package: libpcre3
Followup-For: Bug #664983

Dear Maintainer,

that problem occurs also in amd64 architecture:

in
        libpcre3_8.30-4_amd64.deb
the library contained is:
        libpcre.so.2 (/lib/x86_64-linux-gnu/libpcre.so.2)
not:
        libpcre.so.3



-- System Information:
Debian Release: wheezy/sid
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'unstable'), (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=es_ES.utf8, LC_CTYPE=es_ES.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libpcre3 depends on:
ii  libc6              2.13-27
ii  multiarch-support  2.13-27

libpcre3 recommends no packages.

libpcre3 suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, eloi@zenpl.com, Mark Baker <mark@mnb.org.uk>:
Bug#664983; Package libpcre3. (Thu, 22 Mar 2012 10:00:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eloi Crespillo <eloi@zenpl.com>:
Extra info received and forwarded to list. Copy sent to eloi@zenpl.com, Mark Baker <mark@mnb.org.uk>. (Thu, 22 Mar 2012 10:00:26 GMT) Full text and rfc822 format available.

Message #54 received at 664983@bugs.debian.org (full text, mbox):

From: Eloi Crespillo <eloi@zenpl.com>
To: Debian Bug Tracking System <664983@bugs.debian.org>
Subject: Re: libpcre3: wrong SONAME
Date: Thu, 22 Mar 2012 10:57:28 +0100
Package: libpcre3
Followup-For: Bug #664983

(amd64, sid)

I just want to comment on some binaries that are crashing trying to look for
the missing libpcre.so.3 in the last update:

emacs in package emacs23
update-desktop-database in package desktop-utils


I temp fix it in my boxes downgrading libpcre to 8.14 until a newer version is
available.



-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=es_ES.UTF-8, LC_CTYPE=es_ES.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libpcre3 depends on:
ii  libc6              2.13-27
ii  multiarch-support  2.13-27

libpcre3 recommends no packages.

libpcre3 suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Mark Baker <mark@mnb.org.uk>:
Bug#664983; Package libpcre3. (Thu, 22 Mar 2012 11:12:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Mark Baker <mark@mnb.org.uk>. (Thu, 22 Mar 2012 11:12:16 GMT) Full text and rfc822 format available.

Message #59 received at 664983@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 664983@bugs.debian.org
Subject: Re: libpcre3: wrong SONAME
Date: Thu, 22 Mar 2012 11:22:06 +0100
Hello,

2012/3/22 Adam D. Barratt <adam@adam-barratt.org.uk>:

> So the found version should be _8.30-1_.

Sure. It really is 8.30-1.

> This has been resolved in 8.30.really8.12-1.1 by reverting to an earlier
> version of the package.

Cool! I told on #debian-devel, it seem someone found the time to NMU it.

Cheers,
-- 
 Héctor Orón  -.. . -... .. .- -.   -.. . ...- . .-.. --- .--. . .-.




Added indication that 664983 affects desktop-file-utils Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Thu, 22 Mar 2012 12:42:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Mark Baker <mark@mnb.org.uk>:
Bug#664983; Package libpcre3. (Thu, 22 Mar 2012 18:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Mark Baker" <mark@mnb.org.uk>:
Extra info received and forwarded to list. Copy sent to Mark Baker <mark@mnb.org.uk>. (Thu, 22 Mar 2012 18:27:06 GMT) Full text and rfc822 format available.

Message #66 received at 664983@bugs.debian.org (full text, mbox):

From: "Mark Baker" <mark@mnb.org.uk>
To: 664983@bugs.debian.org
Subject: Version
Date: Thu, 22 Mar 2012 18:23:11 -0000
Since someone has released an 8.30.really8.12-1.1 version, I'm going to
released the fixed version as 8.30..-2, as that sorts correctly after
8.30.really8.12-1.1 and before 8.31-1.

What would have been wrong with 8.30-1.really.8.12.1 which would have let
me replace it with a proper 8.30 version easily?






Information forwarded to debian-bugs-dist@lists.debian.org, Mark Baker <mark@mnb.org.uk>:
Bug#664983; Package libpcre3. (Thu, 22 Mar 2012 18:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Mark Baker" <mark@mnb.org.uk>:
Extra info received and forwarded to list. Copy sent to Mark Baker <mark@mnb.org.uk>. (Thu, 22 Mar 2012 18:45:05 GMT) Full text and rfc822 format available.

Message #71 received at 664983@bugs.debian.org (full text, mbox):

From: "Mark Baker" <mark@mnb.org.uk>
To: 664983@bugs.debian.org
Subject: Re: pcre3 #664983
Date: Thu, 22 Mar 2012 18:11:27 -0000
On Thu, March 22, 2012 12:44 pm, Torsten Wohlfarth wrote:
>  EXTRA_LIBPCRE_LDFLAGS="$EXTRA_LIBPCRE_LDFLAGS \
> - -                       $NO_UNDEFINED -version-info 1:0:0"
> +                       $NO_UNDEFINED -version-info 16:1:13"

Thanks. Actually I knew what the problem was as soon as I saw the bug report.

I updated the last number but should have updated the first one too. There
are many reasons I hate libtool but the obscurity of the version numbering
system is definitely on the list.






Reply sent to Mark Baker <mark@mnb.org.uk>:
You have taken responsibility. (Thu, 22 Mar 2012 18:51:16 GMT) Full text and rfc822 format available.

Notification sent to Hector Oron <zumbi@debian.org>:
Bug acknowledged by developer. (Thu, 22 Mar 2012 18:51:16 GMT) Full text and rfc822 format available.

Message #76 received at 664983-close@bugs.debian.org (full text, mbox):

From: Mark Baker <mark@mnb.org.uk>
To: 664983-close@bugs.debian.org
Subject: Bug#664983: fixed in pcre3 8.30..-2
Date: Thu, 22 Mar 2012 18:49:12 +0000
Source: pcre3
Source-Version: 8.30..-2

We believe that the bug you reported is fixed in the latest version of
pcre3, which is due to be installed in the Debian FTP archive:

libpcre3-dbg_8.30..-2_i386.deb
  to main/p/pcre3/libpcre3-dbg_8.30..-2_i386.deb
libpcre3-dev_8.30..-2_i386.deb
  to main/p/pcre3/libpcre3-dev_8.30..-2_i386.deb
libpcre3-udeb_8.30..-2_i386.udeb
  to main/p/pcre3/libpcre3-udeb_8.30..-2_i386.udeb
libpcre3_8.30..-2_i386.deb
  to main/p/pcre3/libpcre3_8.30..-2_i386.deb
libpcrecpp0_8.30..-2_i386.deb
  to main/p/pcre3/libpcrecpp0_8.30..-2_i386.deb
pcre3_8.30..-2.dsc
  to main/p/pcre3/pcre3_8.30..-2.dsc
pcre3_8.30..-2.tar.gz
  to main/p/pcre3/pcre3_8.30..-2.tar.gz
pcregrep_8.30..-2_i386.deb
  to main/p/pcre3/pcregrep_8.30..-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 664983@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mark Baker <mark@mnb.org.uk> (supplier of updated pcre3 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 22 Mar 2012 17:52:35 +0000
Source: pcre3
Binary: libpcre3 libpcre3-udeb libpcrecpp0 libpcre3-dev libpcre3-dbg pcregrep
Architecture: source i386
Version: 8.30..-2
Distribution: unstable
Urgency: low
Maintainer: Mark Baker <mark@mnb.org.uk>
Changed-By: Mark Baker <mark@mnb.org.uk>
Description: 
 libpcre3   - Perl 5 Compatible Regular Expression Library - runtime files
 libpcre3-dbg - Perl 5 Compatible Regular Expression Library - debug symbols
 libpcre3-dev - Perl 5 Compatible Regular Expression Library - development files
 libpcre3-udeb - Perl 5 Compatible Regular Expression Library - runtime files (ude (udeb)
 libpcrecpp0 - Perl 5 Compatible Regular Expression Library - C++ runtime files
 pcregrep   - grep utility that uses perl 5 compatible regexes.
Closes: 664983
Changes: 
 pcre3 (8.30..-2) unstable; urgency=low
 .
   * configure: Correct library version so soname is libpcre.so.3 instead
     of .2 (Closes: #664983)
   * Horrible version number is because of NMU of "8.30.really8.12-1.1";
     this will sort between that and 8.31-1
Checksums-Sha1: 
 5ee4f6e079e2afb00996d2cfc0da5970b21fe8ef 792 pcre3_8.30..-2.dsc
 643267e8f967aed32000cb50515216e206fa8ae8 1659409 pcre3_8.30..-2.tar.gz
 046d49f78d64b49dfecefa0a8461ec753f603505 239748 libpcre3_8.30..-2_i386.deb
 e57d56aa726aa79eef1f145cef86c81068d11be4 91088 libpcre3-udeb_8.30..-2_i386.udeb
 b3c31edbc0b3139ab4f496a8fe1f59a1714bc6b2 125372 libpcrecpp0_8.30..-2_i386.deb
 4e93669ea5b7142620dc5cf7830d855eff2b4505 344090 libpcre3-dev_8.30..-2_i386.deb
 e5bffaa2e66f8d5ffea9a81c63b557b6c9bb542d 424264 libpcre3-dbg_8.30..-2_i386.deb
 60df928f4a8d425db80984405884b83b93a47d0c 25106 pcregrep_8.30..-2_i386.deb
Checksums-Sha256: 
 3e8eb723c5bba8f4d73d0d92ec45ae08445ddc12a593dac3c5cbe995db297fc9 792 pcre3_8.30..-2.dsc
 b66776422391905df174eb616edf67ce0febfd60a52c88e786ad40d129e3fd3d 1659409 pcre3_8.30..-2.tar.gz
 601a132dcb169de44bba4574fb4c39909b54dd921229593f6162aeff0c869274 239748 libpcre3_8.30..-2_i386.deb
 e13359ee52996cdadb598e3f2757b7bfb281fc1762f9be90287a0ea717efb950 91088 libpcre3-udeb_8.30..-2_i386.udeb
 2ecef0964fa6416e9e5683109acb0ae85b38db8a44962af3f61157110f0dca3d 125372 libpcrecpp0_8.30..-2_i386.deb
 94d414c1f56b4e720be818853946d518ee207e77c31e75119f6f23bfb6b74969 344090 libpcre3-dev_8.30..-2_i386.deb
 8e461e7fa8b525040fd8bbe7f9d6e60656da5d7c33ab2a97ef7b17ad65e29045 424264 libpcre3-dbg_8.30..-2_i386.deb
 1131560b0c59f7c76abd9020aa0ed07035ec0e1ea03580f367e9550ad3668775 25106 pcregrep_8.30..-2_i386.deb
Files: 
 328030c55edc2d26003b2a1fe92488bf 792 libs optional pcre3_8.30..-2.dsc
 3d604a5dd6c255ce867b5db4e74b2dcb 1659409 libs optional pcre3_8.30..-2.tar.gz
 85b66fc56f925af901a19f1a159c7734 239748 libs important libpcre3_8.30..-2_i386.deb
 020f4d25c3de008766f76ec06bcd4092 91088 debian-installer important libpcre3-udeb_8.30..-2_i386.udeb
 50100df77f3d961a9b9aa30ce0c405f5 125372 libs optional libpcrecpp0_8.30..-2_i386.deb
 5e87ccd254e050a9963a61f357a9d860 344090 libdevel optional libpcre3-dev_8.30..-2_i386.deb
 5ce410748ff452f2fbb85228c43498d2 424264 debug extra libpcre3-dbg_8.30..-2_i386.deb
 df34457f897aadbcfec6b87b8d17aae9 25106 utils optional pcregrep_8.30..-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk9rcS0ACgkQLk+GuosNQvlLvgCfa16XSZZKagNhzLgPq4mQoy5X
TvYAn2R76Co1tua2MJ+pniSU0khS43Gc
=oheo
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#664983; Package libpcre3. (Thu, 22 Mar 2012 20:33:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Baker <mark@mnb.org.uk>:
Extra info received and forwarded to list. (Thu, 22 Mar 2012 20:33:09 GMT) Full text and rfc822 format available.

Message #81 received at 664983@bugs.debian.org (full text, mbox):

From: Mark Baker <mark@mnb.org.uk>
To: 664983@bugs.debian.org
Cc: Hector Oron <hector.oron@gmail.com>
Subject: Re: Bug#664983 closed by Mark Baker <mark@mnb.org.uk> (Bug#664983: fixed in pcre3 8.30..-2)
Date: Thu, 22 Mar 2012 20:30:31 +0000
In personal email, Hector Oron wrote:

> There were more files with wrong SONAME. I assume you have verified it.


There were two libraries that were wrong, and I fixed the only two places that had a version number set, so I assumed it was all fixed, but I only checked libpcre.so.3.

After I got your email I checked the other one, and it was still wrong. This was a different bug - the version number was not set on libpcreposix.so at all, but was wrongly set on the 16 bit version of libpcre.so, which doesn't get built at all. This is because I applied the diff manually (it didn't work automatically) and got it wrong.

I doubt anyone would ever have noticed, I don't think anyone uses libpcreposix

I've now uploaded a version which fixes this.





Marked as fixed in versions pcre3/8.30.really8.12-1.1; no longer marked as fixed in versions 8.30.really8.12-1.1. Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Fri, 23 Mar 2012 02:42:02 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 21 Apr 2012 07:41:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 22:21:52 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.